Subject: 1995 IFT Employment and Salary Survey Report, For sale at Annual Meeting

From: [email-masked] (Michael R. King)
Date: 21 Mar 1996 02:20:12 GMT

Food Science Students,

I just wanted to let you know that the 1995 IFT Employment and Salary
Survey report will be on sale at the Student Booth at the Annual Meeting.
(They still haven't determined a price yet).  This information will be very
helpful if you are planning on interviewing at the meeting, to give you an
idea of average salaries in your career field.  See you there!

Michael R. King